org.eclipse.emf.spi.cdo

## Class CDOChangeSubscriptionAdapter

- java.lang.Object
- - org.eclipse.emf.common.notify.impl.AdapterImpl
  - - org.eclipse.emf.spi.cdo.CDOChangeSubscriptionAdapter

- All Implemented Interfaces:
    Adapter, Adapter.Internal

      public class CDOChangeSubscriptionAdapter
      extends AdapterImpl

  If the meaning of this type isn't clear, there really should be more of a description here...
  Since:
    4.0
  Author:
    Eike Stepper
  No Extend
    This interface is not intended to be extended by clients.
  No Instantiate
    This class is not intended to be instantiated by clients.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.eclipse.emf.common.notify.Adapter

      `Adapter.Internal`

  - ### Field Summary

    - ### Fields inherited from class org.eclipse.emf.common.notify.impl.AdapterImpl

      `target`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CDOChangeSubscriptionAdapter(CDOView view)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `attach(CDOObject notifier)`
    `void` | `dispose()`
    `java.util.Set<CDOObject>` | `getNotifiers()`
    `CDOView` | `getView()`
    `void` | `reset()`

    - ### Methods inherited from class org.eclipse.emf.common.notify.impl.AdapterImpl

      `getTarget, isAdapterForType, notifyChanged, setTarget, unsetTarget`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CDOChangeSubscriptionAdapter

          public CDOChangeSubscriptionAdapter(CDOView view)

  - ### Method Detail

    - #### dispose

          public void dispose()

    - #### getView

          public CDOView getView()

    - #### getNotifiers

          public java.util.Set<CDOObject> getNotifiers()

    - #### attach

          public void attach(CDOObject notifier)

    - #### reset

          public void reset()

Copyright (c) 2004-2019 Eike Stepper (Loehne, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html